Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.rasmol
Class ProteinEngine3D

    java.lang.Object
      jprotein.rasmol.ProteinEngine3D

All Implemented Interfaces:
  java.awt.event.MouseListener, java.util.EventListener

    public class ProteinEngine3D

extends java.lang.Object
implements java.awt.event.MouseListener

Constructor Summary
`ProteinEngine3D()`
`ProteinEngine3D(java.util.Vector sequenceList, java.util.Vector propertyList)`

Method Summary
`void` | `capture()`
`javax.media.j3d.Canvas3D` | `getCanvas()`
`javax.media.j3d.BranchGroup` | `getVision()`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `reset()`
`void` | `updateAppearance()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProteinEngine3D

    public ProteinEngine3D()

### ProteinEngine3D

    public ProteinEngine3D(java.util.Vector sequenceList,
                           java.util.Vector propertyList)

Method Detail

### getCanvas

    public javax.media.j3d.Canvas3D getCanvas()

### capture

    public void capture()

### getVision

    public javax.media.j3d.BranchGroup getVision()

### reset

    public void reset()

### updateAppearance

    public void updateAppearance()

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD